=== packages/debian/changelog ===
mailpile (<-- version -->) unstable; urgency=medium

  * Automated build.

 -- Mailpile Team <team@mailpile.is>  Mon, 28 Dec 2015 02:16:41 -0500
