=== packages/debian/control ===
Source: mailpile
Maintainer: Alexandre Viau <aviau@debian.org>
Section: mail
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
# requirements.txt
               python-lxml,
               python-jinja2,
               python-markupsafe,
               python-dns,
               python-pgpdump,
               python-fasteners,
               python-pil,
# requirements-dev.txt
               python-mock,
               python-selenium,
               python-nose,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/mailpile.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mailpile.git
Homepage: https://www.mailpile.is/

Package: mailpile
Architecture: all
Depends: ${misc:Depends},
         wordlist,
         gnupg,
         dirmngr,
         spambayes,
         python (<< 2.8),
         python (>= 2.7.5),
         python-lxml,
         python-jinja2,
         python-appdirs,
         python-cryptography,
         python-dns,
         python-fasteners,
         python-imgsize,
         python-jinja2,
         python-lxml,
         python-markupsafe,
         python-pgpdump,
         python-pil,
         python-icalendar,
         python-socksipychain
Recommends: tor, pagekite, python-stem, wamerican-small, gnupg-curl
Description: library and command-line interface for mailpile
 Mailpile is a modern, fast web-mail client with user-friendly encryption and
 privacy features. Mailpile places great emphasis on providing a clean, elegant
 user interface and pleasant user experience. In particular, Mailpile aims to
 make it easy and convenient to receive and send PGP encrypted or signed e-mail.
 .
 This package contains the core library and command-line interface

Package: mailpile-apache2
Architecture: all
Depends: ${misc:Depends},
         mailpile,
         apache2,
         python,
         screen,
         net-tools,
         sudo
Description: multi-user mailpile web server
 Mailpile is a modern, fast web-mail client with user-friendly encryption and
 privacy features. Mailpile places great emphasis on providing a clean, elegant
 user interface and pleasant user experience. In particular, Mailpile aims to
 make it easy and convenient to receive and send PGP encrypted or signed e-mail.
 .
 This package configures Apache with "Multipile", a thin wrapper that allows
 system users to launch their Mailpile by logging in on the web interface.
 .
 Details: https://github.com/mailpile/Mailpile/tree/master/shared-data/multipile

Package: mailpile-desktop
Architecture: all
Depends: ${misc:Depends},
         mailpile,
         screen,
         xterm,
         python,
         python-gui-o-matic,
Description: GTK-based desktop integration for Mailpile
 Mailpile is a modern, fast web-mail client with user-friendly encryption and
 privacy features. Mailpile places great emphasis on providing a clean, elegant
 user interface and pleasant user experience. In particular, Mailpile aims to
 make it easy and convenient to receive and send PGP encrypted or signed e-mail.
 .
 This package provides a minimal native GUI for starting and stopping Mailpile,
 as well as receiving desktop notifications.
