=== packages/debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mailpile-$1\.tar\.gz/ \
  https://github.com/mailpile/Mailpile/tags .*/v?(\d\S*)\.tar\.gz
